#[derive(
    Debug,
    Clone,
    conjure_object::serde::Serialize,
    conjure_object::serde::Deserialize,
    PartialEq,
    Eq,
    PartialOrd,
    Ord,
    Hash
)]
#[serde(crate = "conjure_object::serde")]
#[conjure_object::private::staged_builder::staged_builder]
#[builder(crate = conjure_object::private::staged_builder, update, inline)]
pub struct PageRequest {
    #[builder(default, into)]
    #[serde(rename = "pageToken", skip_serializing_if = "Option::is_none", default)]
    page_token: Option<super::PageToken>,
    #[serde(rename = "pageSize")]
    page_size: i32,
}
impl PageRequest {
    /// Constructs a new instance of the type.
    #[inline]
    pub fn new(page_size: i32) -> Self {
        Self::builder().page_size(page_size).build()
    }
    #[inline]
    pub fn page_token(&self) -> Option<&super::PageToken> {
        self.page_token.as_ref().map(|o| &*o)
    }
    #[inline]
    pub fn page_size(&self) -> i32 {
        self.page_size
    }
}
